#!/bin/sh
#   Copyright 2015 Anyware Services
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.
#

SCRIPTPATH=$(dirname "$SCRIPT")
ROOT_DIR=$(readlink -m "$SCRIPTPATH")
export SOLR_TIMEZONE="os_timezone"

SOLR_ROOT="$ROOT_DIR/solr"
[ -z "$SOLR_HOME" ] && SOLR_HOME="$ROOT_DIR/solr/server/solr"

export SOLR_INCLUDE="$ROOT_DIR/solr.env.sh"

$SOLR_ROOT/bin/solr -f -d "$SOLR_ROOT/server" -s "$SOLR_HOME" -V
